Bug 442385 - Installer fails with OSError: [Errno 1] Operation not permitted: '/mnt/sysimage/boot/grub/grub.conf'
Installer fails with OSError: [Errno 1] Operation not permitted: '/mnt/sysima...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-14 12:19 EDT by Dar S. Efroni
Modified: 2008-06-02 14:23 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-02 14:23:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dar S. Efroni 2008-04-14 12:19:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.8.1.13) Gecko/20080311 Firefox/2.0.0.13

Description of problem:
anaconda 11.4.0.55 exception report
Traceback (most recent call first):
  File "/usr/lib/booty/bootloaderInfo.py", line 858, in writeGrub
    os.chmod(cf, self.perms)
  File "/usr/lib/booty/bootloaderInfo.py", line 1107, in write
    justConfig | (not self.useGrubVal))
  File "/usr/lib/booty/bootloaderInfo.py", line 1215, in write
    chainList, defaultDev, justConfig, intf)
  File "/usr/lib/anaconda/bootloader.py", line 229, in writeBootloader
    justConfigFile, anaconda.intf)
  File "/usr/lib/anaconda/dispatch.py", line 208, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 131, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1246, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 80, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 1267, in handleRenderCallback
    self.currentWindow.renderCallback()
OSError: [Errno 1] Operation not permitted: '/mnt/sysimage/boot/grub/grub.conf'

Local variables in innermost frame:
defaultDev: sda3
kernelTag: -2.6.25-0.121.rc5.git4.fc9
realroot:  root=/dev/sda3
cf: /mnt/sysimage/boot/grub/grub.conf
initrd: /boot/initrd-2.6.25-0.121.rc5.git4.fc9.img
longlabel: Other
images: {'sda3': ('linux', 'Fedora', 'xfs'), 'sda1': ('Other', 'Other', 'fat16')}
usedDevs: {u'sda': 1, 'sda1': 1}
self: <bootloaderInfo.x86BootloaderInfo instance at 0x7ff732fdb098>
fsset: <fsset.FileSystemSet instance at 0x7ff732fe5518>
label: Other
version: 2.6.25-0.121.rc5.git4.fc9
justConfigFile: False
chainList: [('Other', 'Other', 'sda1')]
kernelList: [('linux', 'Fedora', u'2.6.25-0.121.rc5.git4.fc9')]
bootDev: sda1
bl: <bootloaderInfo.x86BootloaderInfo instance at 0x7ff732fdb098>
cfPath: /
grubTarget: sda
device: sda1
langs: <language.Language instance at 0x7ff732fe5368>
instRoot: /mnt/sysimage
target: mbr
f: <closed file '/mnt/sysimage/boot/grub/grub.conf', mode 'w+' at 0x2626dc8>
default: 0
rootDev: sda3
dev: sda
bootDevs: ['sda1']
grubPath: /grub
kernelFile: /vmlinuz-2.6.25-0.121.rc5.git4.fc9


Anaconda instance, containing members:
rescue_mount: True
intf: InstallInterface instance, containing members:
  intf.ppw: InstallProgressWindow instance, containing members:
    intf.ppw.pixmaps: [progress_first.png]
    intf.ppw.intf: Already dumped
    intf.ppw.adbox: <gtk.EventBox object at 0x7ff724a946e0 (GtkEventBox at 0x1d91480)>
    intf.ppw._updateChange: 0.01
    intf.ppw.adpix: <gtk.Image object at 0x7ff724a94690 (GtkImage at 0x1e76230)>
    intf.ppw._showPercentage: False
    intf.ppw.infolabel: <WrappingLabel object at 0x7ff724a94780 (GtkLabel at 0x1e6ad50)>
    intf.ppw.ics: InstallControlState instance, containing members:
      intf.ppw.ics.prevEnabled: False
      intf.ppw.ics.cw: InstallControlWindow instance, containing members:
        intf.ppw.ics.cw.handle: 713
        intf.ppw.ics.cw.currentWindow: Already dumped
        intf.ppw.ics.cw.mainxml: <glade.XML object at 0x7ff732fde820 (PyGladeXML at 0x17fbcd0)>
        intf.ppw.ics.cw.window: <gtk.Window object at 0x7ff732fdec80 (GtkWindow at 0x18a8150)>
        intf.ppw.ics.cw.installFrame: <gtk.Frame object at 0x7ff72701f690 (GtkFrame at 0x17e4a90)>
        intf.ppw.ics.cw.anaconda: Already dumped
        intf.ppw.ics.cw.reloadRcQueued: 0
      intf.ppw.ics.nextEnabled: False
      intf.ppw.ics.grabNext: True
      intf.ppw.ics.title: Installing Packages
    intf.ppw.progress: <gtk.ProgressBar object at 0x7ff724a94730 (GtkProgressBar at 0x1ea86d0)>
  intf.icw: Already dumped
  intf.runres: 800x600
  intf.anaconda: Already dumped
rescue: False
updateSrc: None
mediaDevice: None
methodstr: nfs:10.243.109.120:/nfs/Fedora-9-Beta-x86_64-DVD
dispatch: <dispatch.Dispatcher object at 0x7ff72704d810>
rootPath: /mnt/sysimage
isKickstart: False
_loaderMethodstr: nfs:10.243.109.120:/nfs/Fedora-9-Beta-x86_64-DVD
id: InstallData instance, containing members:
  id.firewall: Firewall instance, containing members:
    id.firewall.portlist: [22:tcp]
    id.firewall.trustdevs: []
    id.firewall.enabled: 1
  id.anaconda: Already dumped
  id.instProgress: None
  id.upgradeRoot: [('/dev/sda3', 'xfs')]
  id.xsetup: XSetup instance, containing members:
    id.xsetup.skipx: 0
    id.xsetup.xserver: XServer instance, containing members:
      id.xsetup.xserver.videohw: primary: 0
vidCards: [<rhpxl.videocard.VideoCard instance at 0x7ff732f9b8c0>]
Primary Video Card Info:
device: None
driver : ati
descr : ATI Technologies Inc Rage XL
vidRam: None

      id.xsetup.xserver.serverflags: [vt6, -config, /tmp/XConfig.test, -extension, Composite, -s, 1440, -dpms, -v, -ac, -nolisten, tcp, -screen, Anaconda, -dpi, 96, -br]
      id.xsetup.xserver.resolution: 800x600
      id.xsetup.xserver.root: /
      id.xsetup.xserver.hwstate: XF86HardwareState instance, containing members:
        id.xsetup.xserver.hwstate.videocard_PCIFn: None
        id.xsetup.xserver.hwstate.monitor: monName: None
monID: Unprobed Monitor
monHoriz: None
monVert: None
physicalWidth: 0
physicalHeight: 0

        id.xsetup.xserver.hwstate.config_resolutions: []
        id.xsetup.xserver.hwstate.videocard_name: ATI Technologies Inc Rage XL
        id.xsetup.xserver.hwstate.monitor_name: Unknown monitor
        id.xsetup.xserver.hwstate.video_ram: 0
        id.xsetup.xserver.hwstate.videocard: Already dumped
        id.xsetup.xserver.hwstate.videocard_driver: ati
        id.xsetup.xserver.hwstate.videocard_options: []
        id.xsetup.xserver.hwstate.all_resolutions: [640x480, 800x480, 800x512, 800x600, 848x480, 854x480, 1024x600, 1024x768, 1152x768, 1152x864, 1200x900, 1280x720, 1280x800, 1280x854, 1280x960, 1280x1024, 1360x768, 1400x900, 1400x1050, 1440x900, 1600x1024, 1600x1200, 1680x1050, 1920x1080, 1920x1200, 1920x1440, 2048x1536, 2560x1600]
        id.xsetup.xserver.hwstate.hsync: 31.5-37.9
        id.xsetup.xserver.hwstate.vsync: 50-70
        id.xsetup.xserver.hwstate.probed_video_ram: 0
        id.xsetup.xserver.hwstate.videocard_PCIBus: None
        id.xsetup.xserver.hwstate.colordepth: 24
        id.xsetup.xserver.hwstate.videocard_PCIDev: None
        id.xsetup.xserver.hwstate.resolution: 800x600
        id.xsetup.xserver.hwstate.dri_enabled: 0
        id.xsetup.xserver.hwstate.xconfig: None
      id.xsetup.xserver.monitorhw: Already dumped
      id.xsetup.xserver.keyboard: None
      id.xsetup.xserver.mousehw: None
      id.xsetup.xserver.defaultdepth: 24
      id.xsetup.xserver.logfile: /tmp/X.log
      id.xsetup.xserver.config: <XF86Config object at 0x7ff73fa01288>
      id.xsetup.xserver.display: :1
    id.xsetup.anaconda: Already dumped
  id.keyboard: Keyboard instance, containing members:
    id.keyboard.info: {'KEYBOARDTYPE': pc, 'KEYTABLE': us}
    id.keyboard.type: PC
    id.keyboard.beenset: 0
    id.keyboard._mods: KeyboardModels instance, containing members:
  id.timezone: Timezone instance, containing members:
    id.timezone.utc: True
    id.timezone.tz: America/New_York
  id.mouse: None
  id.zfcp: ZFCP instance, containing members:
    id.zfcp.hasReadConfig: True
    id.zfcp.fcpdevs: []
  id.upgrade: False
  id.monitor: Already dumped
  id.iscsi: <iscsi.iscsi object at 0x7ff727027b10>
  id.methodstr: nfs:10.243.109.120:/nfs/Fedora-9-Beta-x86_64-DVD
  id.fsset: FileSystemSet instance, containing members:
    id.fsset.messageWindow: <bound method InstallInterface.messageWindow of <gui.InstallInterface instance at 0x7ff727019a70>>
    id.fsset.volumesCreated: 1
    id.fsset.progressWindow: <bound method InstallInterface.progressWindow of <gui.InstallInterface instance at 0x7ff727019a70>>
    id.fsset.migratedfs: 1
    id.fsset.waitWindow: <bound method InstallInterface.waitWindow of <gui.InstallInterface instance at 0x7ff727019a70>>
    id.fsset.entries: [fsentry -- device: sda3   mountpoint: /
  fsystem: xfs format: True
  ismounted: 1  options: 'defaults'
  label: / fsprofile: None

, fsentry -- device: sda1   mountpoint: /boot
  fsystem: vfat format: True
  ismounted: 1  options: 'defaults'
  label: /boot fsprofile: None

, fsentry -- device: shm   mountpoint: /dev/shm
  fsystem: tmpfs format: 0
  ismounted: 0  options: 'defaults'
  label: None fsprofile: None

, fsentry -- device: devpts   mountpoint: /dev/pts
  fsystem: devpts format: 0
  ismounted: 0  options: 'gid=5,mode=620'
  label: None fsprofile: None

, fsentry -- device: sys   mountpoint: /sys
  fsystem: sysfs format: 0
  ismounted: 1  options: 'defaults'
  label: None fsprofile: None

, fsentry -- device: proc   mountpoint: /proc
  fsystem: proc format: 0
  ismounted: 1  options: 'defaults'
  label: None fsprofile: None

, fsentry -- device: sda2   mountpoint: swap
  fsystem: swap format: 0
  ismounted: 1  options: 'defaults'
  label: SWAP-sda2 fsprofile: None

]
    id.fsset.mountcount: 5
  id.desktop: Desktop instance, containing members:
    id.desktop.info: {}
    id.desktop.runlevel: 5
  id.rootParts: [('/dev/sda3', 'xfs', 'Fedora 8.92', '/')]
  id.x_already_set: 0
  id.backend: YumBackend instance, containing members:
    id.backend.modeText: Installing %s

    id.backend.instPath: /mnt/sysimage
    id.backend.skipFormatRoot: False
    id.backend.totalSize: 800630
    id.backend.totalFiles: 109324
    id.backend.instLog: <closed file '/mnt/sysimage/root/install.log', mode 'w+' at 0x267b300>
    id.backend.supportsUpgrades: True
    id.backend.supportsPackageSelection: True
  id.firstboot: 0
  id.diskset: DiskSet instance, containing members:
    id.diskset.initializedDisks: {sda: True}
    id.diskset.disks: {sda: <PedDisk object at 0x7ff73fa02a30>}
    id.diskset.anaconda: Already dumped
    id.diskset.onlyPrimary: None
  id.users: Users instance, containing members:
    id.users.admin: <Admin object at 0x7ff7335167b0>
  id.displayMode: g
  id.auth: --enableshadow --passalgo=sha512
  id.ksdata: None
  id.bootloader: x86BootloaderInfo instance, containing members:
    id.bootloader._configdir: /boot/grub
    id.bootloader.doUpgradeOnly: 0
    id.bootloader.above1024: 1
    id.bootloader.defaultDevice: mbr
    id.bootloader.pure: None
    id.bootloader.perms: 384
    id.bootloader.serialDevice: None
    id.bootloader.args: KernelArguments instance, containing members:
      id.bootloader.args.args: rhgb quiet
    id.bootloader.kernelLocation: /boot/
    id.bootloader.timeout: None
    id.bootloader._configname: grub.conf
    id.bootloader.device: sda
    id.bootloader.kickstart: 0
    id.bootloader.serialOptions: None
    id.bootloader.useGrubVal: 1
    id.bootloader._drivelist: [sda]
    id.bootloader.images: BootImages instance, containing members:
      id.bootloader.images.default: sda3
      id.bootloader.images.images: {'sda3': ('linux', 'Fedora', 'xfs'), 'sda1': ('Other', 'Other', 'fat16')}
    id.bootloader.drivelist: [sda]
    id.bootloader.serial: 0
    id.bootloader.password: None
    id.bootloader.forceLBA32: 0
  id.extraModules: []
  id.network: Network instance, containing members:
    id.network.hostname: phoenix-pmc
    id.network.overrideDHCPhostname: 1
    id.network.netdevices: {'eth1': DEVICE=eth1
BOOTPROTO=dhcp
HWADDR=00:04:23:cc:5e:31
IPV6INIT=yes
IPV6_AUTOCONF=yes
ONBOOT=yes

, eth0: DEVICE=eth0
BOOTPROTO=dhcp
HWADDR=00:04:23:cc:5e:30
ONBOOT=yes

}
    id.network.primaryNS: None
    id.network.firstnetdevice: eth1
    id.network.isConfigured: 1
    id.network.domains: [eng.emc.com]
    id.network.secondaryNS: None
    id.network.gateway: None
  id.instClass: <installclass.DefaultInstall object at 0x7ff732e408d0>
  id.partitions: Partitions instance, containing members:
    id.partitions.useFdisk: 0
    id.partitions.isKickstart: 0
    id.partitions.globalPassphrase: 
    id.partitions.autoClearPartType: 0
    id.partitions.autoEncryptPass: 
    id.partitions.nextUniqueID: 4
    id.partitions.reinitializeDisks: 0
    id.partitions.autoClearPartDrives: []
    id.partitions.protected: []
    id.partitions.useAutopartitioning: 1
    id.partitions.anaconda: Already dumped
    id.partitions.zeroMbr: 0
    id.partitions.encryptedDevices: {}
    id.partitions.requests: [PreexistingPartitionSpec instance, containing members:
      currentDrive: None
      fsprofile: None
      resizable: True
      format: True
      migrate: 0
      origfstype: FATFileSystem instance, containing members:
        origfstype.partedPartitionFlags: []
        origfstype.checked: 0
        origfstype.name: vfat
        origfstype.migratetofs: None
        origfstype.deviceArguments: {}
        origfstype.linuxnativefs: 0
        origfstype.resizable: False
        origfstype.fsprofile: None
        origfstype.needProgram: None
        origfstype.maxSizeMB: 1048576
        origfstype.supported: -1
        origfstype.defaultOptions: defaults
        origfstype.fsProfileSpecifier: None
        origfstype.packages: [dosfstools]
        origfstype.supportsFsProfiles: False
        origfstype.extraFormatArgs: []
        origfstype.formattable: 1
        origfstype.partedFileSystemType: <PedFileSystemType object at 0x119d690>
        origfstype.maxLabelChars: 16
      primary: None
      fsopts: None
      preexist: 1
      fslabel: /boot
      uniqueID: 1
      device: sda1
      mountpoint: /boot
      requestSize: 101.944335938
      grow: 0
      size: 101.944335938
      targetSize: None
      end: 208844
      encryption: None
      drive: sda
      dev: PartitionDevice instance, containing members:
        dev.isSetup: 0
        dev.deviceOptions: 
        dev.crypto: None
        dev.label: None
        dev.device: sda1
        dev.doLabel: 1
      maxSizeMB: None
      start: 63
      protected: 0
      maxResizeSize: 101.0
      multidrive: None
      ignoreBootConstraints: 0
      type: 1
      fstype: Already dumped
, PreexistingPartitionSpec instance, containing members:
      currentDrive: None
      fsprofile: None
      resizable: True
      format: True
      migrate: 0
      origfstype: xfsFileSystem instance, containing members:
        origfstype.partedPartitionFlags: []
        origfstype.checked: 1
        origfstype.name: xfs
        origfstype.migratetofs: None
        origfstype.deviceArguments: {}
        origfstype.linuxnativefs: 1
        origfstype.resizable: False
        origfstype.fsprofile: None
        origfstype.needProgram: mkfs.xfs
        origfstype.maxSizeMB: 16777216
        origfstype.supported: -1
        origfstype.defaultOptions: defaults
        origfstype.fsProfileSpecifier: None
        origfstype.packages: [xfsprogs]
        origfstype.supportsFsProfiles: False
        origfstype.extraFormatArgs: []
        origfstype.formattable: 1
        origfstype.partedFileSystemType: <PedFileSystemType object at 0x11e1040>
        origfstype.maxLabelChars: 12
      primary: None
      fsopts: None
      preexist: 1
      fslabel: /
      uniqueID: 3
      device: sda3
      mountpoint: /
      requestSize: 150476.022949
      grow: 0
      size: 150476.022949
      targetSize: None
      end: 312576704
      encryption: None
      drive: sda
      dev: PartitionDevice instance, containing members:
        dev.isSetup: 0
        dev.deviceOptions: 
        dev.crypto: None
        dev.label: None
        dev.device: sda3
        dev.doLabel: 1
      maxSizeMB: None
      start: 4401810
      protected: 0
      maxResizeSize: 150476.0
      multidrive: None
      ignoreBootConstraints: 0
      type: 1
      fstype: Already dumped
, PreexistingPartitionSpec instance, containing members:
      currentDrive: None
      migrate: None
      origfstype: swapFileSystem instance, containing members:
        origfstype.partedPartitionFlags: []
        origfstype.checked: 0
        origfstype.name: swap
        origfstype.migratetofs: None
        origfstype.deviceArguments: {}
        origfstype.linuxnativefs: 1
        origfstype.resizable: False
        origfstype.fsprofile: None
        origfstype.needProgram: None
        origfstype.maxSizeMB: 8388608
        origfstype.supported: 1
        origfstype.defaultOptions: defaults
        origfstype.fsProfileSpecifier: None
        origfstype.packages: []
        origfstype.supportsFsProfiles: False
        origfstype.extraFormatArgs: []
        origfstype.formattable: 1
        origfstype.partedFileSystemType: <PedFileSystemType object at 0x119d170>
        origfstype.maxLabelChars: 15
      primary: None
      drive: sda
      dev: PartitionDevice instance, containing members:
        dev.isSetup: 0
        dev.deviceOptions: 
        dev.crypto: None
        dev.label: None
        dev.device: sda2
        dev.doLabel: 1
      uniqueID: 2
      mountpoint: None
      requestSize: 2047.34619141
      size: 2047.34619141
      end: 4401809
      encryption: None
      grow: 0
      start: 208845
      ignoreBootConstraints: 0
      type: 1
      resizable: True
      format: None
      fsopts: None
      fstype: Already dumped
      preexist: 1
      device: sda2
      maxSizeMB: None
      targetSize: None
      fsprofile: None
      fslabel: None
      protected: 0
      maxResizeSize: 2047.0
      multidrive: None
]
    id.partitions.autoEncrypt: False
    id.partitions.autoPartitionRequests: [New Part Request -- mountpoint: None uniqueID: None
  type: physical volume (LVM)  format: 1 
  device: None drive: None  primary: None
  size: 0  grow: 1  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  options: 'None'
  fsprofile: None  encryption: None
, VG Request -- name: lvm  uniqueID: None
  format: 1 pesize: 32768  
  physvols: []
, LV Request -- mountpoint: /  uniqueID: None
  type: ext3  format: 1
  size: 1024  lvname: LogVol00  volgroup: lvm
  options: 'None'  fsprofile: None
, New Part Request -- mountpoint: /boot uniqueID: None
  type: ext3  format: 1 
  device: None drive: None  primary: None
  size: 200  grow: 0  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  options: 'None'
  fsprofile: None  encryption: None
, LV Request -- mountpoint: None  uniqueID: None
  type: swap  format: 1
  size: 1000  lvname: LogVol01  volgroup: lvm
  options: 'None'  fsprofile: None
]
    id.partitions.deletes: []
  id.isHeadless: 0
  id.videocard: Already dumped
  id.instLanguage: Language instance, containing members:
    id.instLanguage.targetLang: None
    id.instLanguage.default: en_US.UTF-8
    id.instLanguage.displayMode: g
    id.instLanguage.current: en_US.UTF-8
  id.security: Security instance, containing members:
    id.security.selinux: 1
  id.upgradeSwapInfo: None
dir: 1
backend: Already dumped


Version-Release number of selected component (if applicable):
Beta-9-x86_64-DVD

How reproducible:
Always


Steps to Reproduce:
1. Start network install
2. Partition vfat, swap, xfs
3. /boot on vfat / on xfs (sda1 and sda3)

Actual Results:


Expected Results:


Additional info:
Comment 1 Jeremy Katz 2008-04-14 14:55:23 EDT
Why are you doing /boot on vfat?
Comment 2 Bug Zapper 2008-05-14 05:25:18 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Andy Lindeberg 2008-06-02 14:22:10 EDT
No longer allowed to have /boot on vfat.

Note You need to log in before you can comment on or make changes to this bug.